dotnet-reference-list(1)

dotnet reference list

This article applies to: ✔️ .NET 6 SDK and later versions

NAME

dotnet-reference-list - Lists project-to-project references.

    If you’re using .NET 9 SDK or earlier, use the “verb first” form (dotnet-list-reference) instead. The “noun first” form was introduced in .NET 10. For more information, see More consistent command order.

SYNOPSIS

    dotnet reference list [--project <PROJECT>]

    dotnet reference list -h|--help

DESCRIPTION

The dotnet reference list command provides a convenient option to list project references for a given project.

ARGUMENTS

•   PROJECT

    The project file to operate on. If a file is not specified, the command will search the current directory for one.

OPTIONS

•   -?|-h|--help

    Prints out a description of how to use the command.

EXAMPLES

•   List the project references for the specified project:

        dotnet reference list --project app/app.csproj

•   List the project references for the project in the current directory:

        dotnet reference list